package net.ferrum.test;

import groovy.util.logging.Slf4j;
import net.ferrum.common.core.domain.PageQuery;
import net.ferrum.common.core.page.TableDataInfo;
import net.ferrum.flowable.core.domain.ProcessQuery;
import net.ferrum.workflow.domain.vo.WfTaskVo;
import net.ferrum.workflow.service.IWfProcessService;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

@Slf4j
@SpringBootTest
public class ServiceTest {


    @Autowired
    private IWfProcessService wfProcessService;

    @Test
    void test1() {
        ProcessQuery query = new ProcessQuery();
        //query.setSpecBatch("333");

        PageQuery pageQuery = new PageQuery();
        pageQuery.setPageNum(1);
        pageQuery.setPageSize(50);
        TableDataInfo<WfTaskVo> wfTaskVoTableDataInfo = wfProcessService.selectPageAllProcessList1(query, pageQuery);
        System.out.println(wfTaskVoTableDataInfo);
    }

}
